"""create tables for online_orders and order_items
Revision ID: 5b9e6f3a8d4c
Revises: 0001
Create Date: 2023-05-23 10:15:12.844940
"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '5b9e6f3a8d4c'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'online_orders',
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('order_number', sa.String(), nullable=False, unique=True, index=True),
        sa.Column('customer_name', sa.String(), nullable=False),
        sa.Column('customer_email', sa.String(), nullable=False),
        sa.Column('customer_phone', sa.String(), nullable=False),
        sa.Column('delivery_address', sa.String(), nullable=False),
        sa.Column('total_amount', sa.Float(), nullable=False),
        sa.Column('status', sa.String(), nullable=False, server_default='pending'),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now())
    )

    op.create_table(
        'order_items',
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('order_id', sa.String(36), sa.ForeignKey('online_orders.id'), nullable=False),
        sa.Column('product_name', sa.String(), nullable=False),
        sa.Column('product_price', sa.Float(), nullable=False),
        sa.Column('quantity', sa.Integer(), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now())
    )

def downgrade():
    op.drop_table('order_items')
    op.drop_table('online_orders')